package	jp.co.sds_corp.ratemixer.fx.command;

import java.io.Serializable;
import java.util.Date;

public class CommandResponse implements Serializable
{
	private static final long serialVersionUID = 1L;
	int	response;	// 処理結果
	String	message;	// メッセージ
	Date	time;	// 処理時刻

	/**
	* 処理結果を設定します。
	* @param	var		設定するデータ
	*/
	public void setResponse( int var ) {
		this.response = var;
	}
	/**
	* 処理結果を取得します。
	* @return	処理結果
	*/
	public int getResponse() {
		return response;
	}

	/**
	* メッセージを設定します。
	* @param	var		設定するデータ
	*/
	public void setMessage( String var ) {
		this.message = var;
	}
	/**
	* メッセージを取得します。
	* @return	メッセージ
	*/
	public String getMessage() {
		return message;
	}

	/**
	* 処理時刻を設定します。
	* @param	var		設定するデータ
	*/
	public void setTime( Date var ) {
		this.time = var;
	}
	/**
	* 処理時刻を取得します。
	* @return	処理時刻
	*/
	public Date getTime() {
		return time;
	}


}
