package	jp.co.sds_corp.ratemixer.fx.command;

import jp.co.sds_corp.util.config.IConfiguration;

public class CommanderFactory
{
	public static ICommander createCommander( IConfiguration config )
		throws Exception
	{
		ICommander ret = null;
		String type = config.getAttributes().get( "type" );
		if ( type.equals( "RMI" )) {
			ret = new RMICommander();
			ret.init( config );
/*
		} else
		if ( type.equals( "Socket" )) {
			ret = new SocketCommander();
			ret.init( config );
*/
		} else {
			throw( new IllegalArgumentException( "type[" + type + "] not found." ));
		}
		return ret;
	}
}
